Bug 1157996 - Review Request: kanboard - Simple visual task board [NEEDINFO]
Summary: Review Request: kanboard - Simple visual task board
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2014-10-28 08:52 UTC by José Edgardo López Vásquez
Modified: 2018-06-26 16:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
williamjmorenor: fedora-review?
williamjmorenor: needinfo? (magjogui)
williamjmorenor: needinfo? (magjogui)


Attachments (Terms of Use)

Description José Edgardo López Vásquez 2014-10-28 08:52:03 UTC
Reporting my package

Spec URL: https://magjogui.fedorapeople.org/packages/kanboard/SPEC/

SRPM URL: https://magjogui.fedorapeople.org/packages/kanboard/SRPM/

Description: Kanboard is a simple visual task board web application.
Fedora Account System Username: magjogui

Comment 1 Eduardo Echeverria 2014-10-28 12:37:00 UTC
Magjoqui can you paste the direct links to the files? 
This is not due a cosmetic thing, generally, the srpm are revised with a tool called fedora-review which needs direct links.

magjogui is one of the guys that I was mentor in Fudcon, so,  I will take care of its package and its mentoring process

I'm blocking it with FE-NEEDSPONSOR

Comment 2 José Edgardo López Vásquez 2014-10-28 12:56:14 UTC
Thanks Eduardo, the links that you require:


https://magjogui.fedorapeople.org/packages/kanboard/SPEC/kanboard.spec

https://magjogui.fedorapeople.org/packages/kanboard/SRPM/kanboard-1.0.8-1.fc20.src.rpm


Thanks in advance
KR

Comment 3 Eduardo Mayorga 2014-10-29 01:48:00 UTC
Please use your real full name in Bugzilla and send your self introduction to fedora-devel maling list according to https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Becoming_a_Fedora_Package_Collection_Maintainer

Comment 4 José Edgardo López Vásquez 2014-10-29 16:36:44 UTC
Done, I already change my name on bugzilla and send my selft introduction to the list.

KR

Comment 5 Eduardo Mayorga 2014-10-29 20:31:04 UTC
- Make the package noarch.

- Is web-assets-devel really needed?

Comment 6 Eduardo Echeverria 2014-11-03 03:15:51 UTC
- Add config (no-replace) to all the config files in your package, for maintain user configurations

- If you will package for EPEL family, you must to check what php versions are available in them; You have to use conditionals for disaggregate of that requires

- You have to ship a httpd conf prepared for 2.2 and 2.4 versions

- There are fonts in your package,  you have to specify the licenses of them

- the tests in your package can be run without internet connection? if so, please do it in %check section

See http://fedoraproject.org/wiki/Packaging:Web_Assets for to know how to treat your static files in a rpm package

Comment 7 Eduardo Echeverria 2014-11-12 02:40:57 UTC
Any update?

Comment 8 Eduardo Echeverria 2015-01-12 09:18:08 UTC
Again, any update?

Comment 9 Haïkel Guémar 2015-02-06 11:09:36 UTC
@José, please start doing informal reviews so that the sponsorship process gets started. Looks like Echevemaster could sponsor you, so please answer him, he will be a good mentor to you :)

Many people are waiting to have kanboard in Fedora, so do your best !

Comment 10 Upstream Release Monitoring 2015-09-30 02:45:23 UTC
magjogui's scratch build of kanboard-1.0.18-1.fc22.x86_64.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11273590

Comment 11 Upstream Release Monitoring 2015-09-30 02:58:30 UTC
magjogui's scratch build of kanboard-1.0.18-1.fc22.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11273649

Comment 12 William Moreno 2017-01-02 21:21:07 UTC
Hi, I will take your review request, please update to the last upstream release:

https://github.com/kanboard/kanboard/releases/tag/v1.0.36

Comment 13 William Moreno 2017-12-16 04:28:50 UTC
Any update?

Comment 14 William Moreno 2018-03-16 16:53:18 UTC
Any update here? If not answer I will must to close this ticket as a DEADREVIEW

Comment 15 William Moreno 2018-06-26 16:23:23 UTC
Final ping


Note You need to log in before you can comment on or make changes to this bug.